<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
		height:100vh;
		position: relative;
			display:flex;
			justify-content: center;
			align-items: center;
	}

	div{
		height:200px;
		width: 200px;
		border-width: 2px;
		border-style: solid;
		position: absolute;
	}
	#red{
		border-color:red;
	}

	#green{
		border-color:green;
	}
	#blue{
		border-color:blue;
	}
</style>
<body>
<div id="red"></div>
<div id="blue"></div>
<div id="green"></div>
</body>

<script type="text/javascript">
	document.body.addEventListener('mousemove',function (e){
		

		let x= e.clientX-(window.innerWidth/2);
		let y=e.clientY-(window.innerHeight/2);

		console.log(e.clientX+":"+e.clientY);
		console.log(window.innerHeight);
		console.log(window.innerWidth);

		// console.log("x:"+x+"y:"+y);
		document.getElementById('red').style.transform='translate('+ -.3*x+'px,'+-.3*y+'px)' ;
		document.getElementById('green').style.transform='translate('+ -.1*x+'px,'+-1*y+'px)' ;
		document.getElementById('blue').style.transform='translate('+ -.5*x+'px,'+-.5*y+'px)' ;
		// console.log(x+','+y)
	});
</script>

</html>